
%define so_ver		2.0.0
%define major		2
%define libname_qt5	%mklibname %{name}-qt5_ %{major}
%define devname_qt5	%mklibname %{name}-qt5 -d


Name:		qcustomplot
Version:	2.0.1
Release:	%mkrel 1
Summary:	Qt widget for plotting and data visualization
Group:		Sound
License:	GPLv3+
URL:		http://www.qcustomplot.com/
Source0:	http://www.qcustomplot.com/release/%{version}/QCustomPlot.tar.gz
Source1:	%{name}.pro

BuildRequires:	gcc-c++
BuildRequires:	make
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
QCustomPlot is a Qt C++ widget for plotting and data visualization.
This plotting library focuses on making good looking, publication quality 2D
plots, graphs and charts, as well as offering high performance for realtime
visualization applications.

#-----------------------------------------------------------------

%package -n	%{libname_qt5}
Summary:	Qt5 widget for plotting and data visualization
Group:		System/Libraries

%description -n	%{libname_qt5}
QCustomPlot is a Qt C++ widget for plotting and data visualization.
This plotting library focuses on making good looking, publication quality 2D
plots, graphs and charts, as well as offering high performance for realtime
visualization applications.

This package contains the Qt5 version.

%files -n %{libname_qt5}
%{_libdir}/lib%{name}.so.%{major}*

#-----------------------------------------------------------------

%package -n	%{devname_qt5}
Summary:	Development files for %{name} (Qt5)
Group:		Development/Libraries
Requires:	%{libname_qt5} = %{version}-%{release}
Provides:	%{name}-qt5-devel = %{version}-%{release}

%description -n	%{devname_qt5}
The %{devname_qt5} package contains libraries and header files for
developing applications that use %{name} (Qt5).

%files -n %{devname_qt5}
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#-----------------------------------------------------------------

%package	doc
Summary:	Documentation and examples for %{name}
Group:		Documentation
BuildArch:	noarch
Requires:   %name

%description	doc
The %{name}-doc package contains the documentation and examples for
%{name}.

%files doc
%doc GPL.txt
%doc documentation examples

#-----------------------------------------------------------------

%prep
%setup -qn %{name}
%apply_patches

cp -a %{SOURCE1} .

%build
LDFLAGS="%{ldflags} -Wl,--as-needed" \
%qmake_qt5 SOVERSION=%{so_ver} \
           LIBDIR=%{_libdir}

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

### pkg-config file
install -d %{buildroot}%{_libdir}/pkgconfig/
cat > %{buildroot}%{_libdir}/pkgconfig/%{name}.pc <<EOF
libdir=%{_libdir}
includedir=%{_includedir}

Name: %{name}-qt5
Description: Qt5 widget for plotting and data visualization
Version: %{version}
Cflags: -I\${includedir}
Libs: -L\${libdir} -lqcustomplot
EOF


%changelog
* Mon Jan 07 2020 tex - 2.0.1-1pclos2020
- initial package qcustomplot
